import { ListenerAbstract } from '../types/listener';
import { MutationObserverOptions } from './mutation.interfaces';
export declare class BalMutationListener extends ListenerAbstract {
    private tags;
    private waitAfterFramePrint;
    private mutationObserver;
    private mutationObserverInit;
    constructor(options: Partial<MutationObserverOptions>);
    connect(el: HTMLElement): Promise<void>;
    disconnect(): void;
    private mutationCallback;
    private destroyMutationObserver;
}
